MAKEMAP(8)                                                          MAKEMAP(8)



NNAAMMEE
       makemap - create database maps for sendmail

SSYYNNOOPPSSIISS
       mmaakkeemmaapp  [--CC  _f_i_l_e] [--NN] [--cc _c_a_c_h_e_s_i_z_e] [--dd] [--DD _c_o_m_m_e_n_t_c_h_a_r] [--ee] [--ff]
       [--ll] [--oo] [--rr] [--ss] [--tt _d_e_l_i_m] [--uu] [--vv] _m_a_p_t_y_p_e _m_a_p_n_a_m

DDEESSCCRRIIPPTTIIOONN
       MMaakkeemmaapp creates the database maps used by  the  keyed  map  lookups  in
       sendmail(8).   It  reads input from the standard input and outputs them
       to the indicated _m_a_p_n_a_m_e_.

       Depending on how it is compiled, mmaakkeemmaapp handles up to three  different
       database formats, selected using the _m_a_p_t_y_p_e parameter.  They may be

       dbm    DBM format maps.  This requires the ndbm(3) library.

       btree  B-Tree  format maps.  This requires the new Berkeley DB library.

       hash   Hash format maps.  This also requires the Berkeley DB library.

       In all cases, mmaakkeemmaapp reads lines from the standard input consisting of
       two words separated by white space.  The first is the database key, the
       second is the value.  The value may contain ``%_n'' strings to  indicate
       parameter  substitution.   Literal percents should be doubled (``%%'').
       Blank lines and lines beginning with ``#'' are ignored.

       Notice: do nnoott use  mmaakkeemmaapp  to  create  the  aliases  data  base,  but
       nneewwaalliiaasseess  which  puts  a  special  token  into  the data base that is
       required by sseennddmmaaiill..

       If the _T_r_u_s_t_e_d_U_s_e_r option is set in the sendmail configuration file and
       mmaakkeemmaapp  is  invoked  as root, the generated files will be owned by the
       specified _T_r_u_s_t_e_d_U_s_e_r_.

   FFllaaggss
       --CC     Use the specified sseennddmmaaiill configuration file for looking up the
              TrustedUser option.

       --NN     Include  the null byte that terminates strings in the map.  This
              must match the -N flag in the sendmail.cf ``K'' line.

       --cc     Use the specified hash and B-Tree cache size.

       --DD     Use to specify the character to use to indicate a comment (which
              is ignored) instead of the default of '#'.

       --dd     Allow duplicate keys in the map.  This is only allowed on B-Tree
              format maps.  If two identical keys are read, they will both  be
              inserted into the map.

       --ee     Allow empty value (right hand side).

       --ff     Normally  all  upper case letters in the key are folded to lower
              case.  This flag disables that behaviour.  This is  intended  to
              mesh  with  the -f flag in the KK line in sendmail.cf.  The value
              is never case folded.

       --ll     List supported map types.

       --oo     Append to an old file.  This allows you to augment  an  existing
              file.

       --rr     Allow  replacement of existing keys.  Normally mmaakkeemmaapp complains
              if you repeat a key, and does not do the insert.

       --ss     Ignore safety checks  on  maps  being  created.   This  includes
              checking  for  hard or symbolic links in world writable directo-
              ries.

       --tt     Use the specified delimiter instead of white space.

       --uu     dump (unmap) the content of the database to standard output.

       --vv     Verbosely print what it is doing.

SSEEEE AALLSSOO
       sendmail(8), newaliases(1)

HHIISSTTOORRYY
       The mmaakkeemmaapp command appeared in 4.4BSD.



                         $Date: 2002/06/27 23:41:04 $               MAKEMAP(8)
